Commit b7740372 authored by Mattias Ellert's avatar Mattias Ellert

ACIX uses "from arc.utils import config".

Add dependency on main package that provides it.
parent 9cf886c1
......@@ -201,7 +201,7 @@ Provides: nordugrid-arc-acix-cache
Replaces: nordugrid-arc-acix-cache (<< 6.0.0~)
Conflicts: nordugrid-arc-acix-cache (<< 6.0.0~)
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, nordugrid-arc-acix-core (= ${binary:Version}), lsb-base (>= 3.0-6)
Depends: ${misc:Depends}, ${python:Depends}, libarccommon3 (>= ${source:Version}), nordugrid-arc-acix-core (= ${source:Version}), lsb-base (>= 3.0-6)
XB-Python-Version: ${python:Versions}
Description: ARC cache index - scanner server
NorduGrid is a collaboration aiming at development, maintenance and
......@@ -214,7 +214,7 @@ Description: ARC cache index - scanner server
Package: nordugrid-arc-acix-index
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, nordugrid-arc-acix-core (= ${binary:Version}), lsb-base (>= 3.0-6)
Depends: ${misc:Depends}, ${python:Depends}, libarccommon3 (>= ${source:Version}), nordugrid-arc-acix-core (= ${source:Version}), lsb-base (>= 3.0-6)
XB-Python-Version: ${python:Versions}
Description: ARC cache index - index server
NorduGrid is a collaboration aiming at development, maintenance and
......
......@@ -667,6 +667,7 @@ Group: System Environment/Libraries
%if %{?fedora}%{!?fedora:0} >= 10 || %{?rhel}%{!?rhel:0} >= 6
BuildArch: noarch
%endif
Requires: %{name} = %{version}-%{release}
Requires: %{name}-acix-core = %{version}-%{release}
Obsoletes: %{name}-acix-cache < 6.0.0
......@@ -689,6 +690,7 @@ Group: System Environment/Libraries
%if %{?fedora}%{!?fedora:0} >= 10 || %{?rhel}%{!?rhel:0} >= 6
BuildArch: noarch
%endif
Requires: %{name} = %{version}-%{release}
Requires: %{name}-acix-core = %{version}-%{release}
Requires(post): %{service_post_requires}
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment